//----------------------------------------------------//
// Wide Studio Application C++ Source File            //
//            created by Wide Studio source generator //
//----------------------------------------------------//
#include <WScom.h>
#include <WSDappDev.h>

//--- OBJECT includes ---//
#include <WSCwindow.h>
#include <WSCvlabel.h>
#include <WSCform.h>
#include <WSCvbtn.h>

//--- OBJECT instance variable ---//
WSCwindow* newwin000;

//--- OBJECT src ---//

void _create_win_newwin000(){


	newwin000 = new  WSCwindow(NULL,"newwin000");
	newwin000->initialize();
	newwin000->setPropertyV(WSNname,"newwin000");
	newwin000->setPropertyV(WSNx,(short)103);
	newwin000->setPropertyV(WSNy,(short)113);
	newwin000->setPropertyV(WSNwidth,(unsigned short)400);
	newwin000->setPropertyV(WSNheight,(unsigned short)400);
	newwin000->setPropertyV(WSNvis,(WSCbool)1);

	WSCvlabel* newvlab_000 = new  WSCvlabel(newwin000,"newvlab_000");
	newvlab_000->initialize();
	newvlab_000->setPropertyV(WSNbottomShadowColor,"gray55");
	newvlab_000->setPropertyV(WSNlabelString,"マウスが入るとハイライトします。");
	newvlab_000->setPropertyV(WSNalignmentH,(unsigned char)0);
	newvlab_000->setPropertyV(WSNname,"newvlab_000");
	newvlab_000->setPropertyV(WSNvis,(WSCbool)1);
	newvlab_000->setPropertyV(WSNx,(short)5);
	newvlab_000->setPropertyV(WSNy,(short)5);
	newvlab_000->setPropertyV(WSNwidth,(unsigned short)300);
	WSCprocedure* op_newvlab_000_4 = new WSCprocedure("ハイライト",11);
	extern void in_ep(WSCbase*);
	op_newvlab_000_4->setFunction(in_ep,"in_ep");
	newvlab_000->addProcedure(op_newvlab_000_4);
	WSCprocedure* op_newvlab_000_5 = new WSCprocedure("ハイライト消",12);
	extern void out_ep(WSCbase*);
	op_newvlab_000_5->setFunction(out_ep,"out_ep");
	newvlab_000->addProcedure(op_newvlab_000_5);

	WSCvlabel* newvlab_001 = new  WSCvlabel(newwin000,"newvlab_001");
	newvlab_001->initialize();
	newvlab_001->setPropertyV(WSNshadowType,(char)1);
	newvlab_001->setPropertyV(WSNbottomShadowColor,"gray55");
	newvlab_001->setPropertyV(WSNlabelString,"マウスが入るとハイライトします。(２)");
	newvlab_001->setPropertyV(WSNalignmentH,(unsigned char)0);
	newvlab_001->setPropertyV(WSNname,"newvlab_001");
	newvlab_001->setPropertyV(WSNvis,(WSCbool)1);
	newvlab_001->setPropertyV(WSNx,(short)5);
	newvlab_001->setPropertyV(WSNy,(short)40);
	newvlab_001->setPropertyV(WSNwidth,(unsigned short)300);
	WSCprocedure* op_newvlab_001_4 = new WSCprocedure("ハイライト機能",0);
	extern void hlight(WSCbase*);
	op_newvlab_001_4->setFunction(hlight,"hlight");
	newvlab_001->addProcedure(op_newvlab_001_4);

	WSCform* newform_003 = new  WSCform(newwin000,"newform_003");
	newform_003->initialize();
	newform_003->setPropertyV(WSNname,"newform_003");
	newform_003->setPropertyV(WSNx,(short)5);
	newform_003->setPropertyV(WSNy,(short)90);
	newform_003->setPropertyV(WSNwidth,(unsigned short)300);
	newform_003->setPropertyV(WSNheight,(unsigned short)200);
	newform_003->setPropertyV(WSNshadowType,(char)3);
	newform_003->setPropertyV(WSNvis,(WSCbool)1);

	WSCvlabel* newvlab_004 = new  WSCvlabel(newform_003,"newvlab_004");
	newvlab_004->initialize();
	newvlab_004->setPropertyV(WSNshadowThickness,(unsigned char)0);
	newvlab_004->setPropertyV(WSNbottomShadowColor,"gray55");
	newvlab_004->setPropertyV(WSNlabelString,"親フォームを使って連係するラベルです。");
	newvlab_004->setPropertyV(WSNname,"newvlab_004");
	newvlab_004->setPropertyV(WSNvis,(WSCbool)1);
	newvlab_004->setPropertyV(WSNx,(short)4);
	newvlab_004->setPropertyV(WSNy,(short)7);
	newvlab_004->setPropertyV(WSNwidth,(unsigned short)288);
	newvlab_004->setPropertyV(WSNheight,(unsigned short)23);

	WSCvlabel* newvlab_005 = new  WSCvlabel(newform_003,"newvlab_005");
	newvlab_005->initialize();
	newvlab_005->setPropertyV(WSNbottomShadowColor,"gray55");
	newvlab_005->setPropertyV(WSNlabelString,"マウスでクリック！");
	newvlab_005->setPropertyV(WSNname,"newvlab_005");
	newvlab_005->setPropertyV(WSNvis,(WSCbool)1);
	newvlab_005->setPropertyV(WSNx,(short)10);
	newvlab_005->setPropertyV(WSNy,(short)40);
	newvlab_005->setPropertyV(WSNwidth,(unsigned short)150);
	WSCprocedure* op_newvlab_005_4 = new WSCprocedure("選択でハイライト",13);
	extern void btn_press(WSCbase*);
	op_newvlab_005_4->setFunction(btn_press,"btn_press");
	newvlab_005->addProcedure(op_newvlab_005_4);

	WSCvlabel* newvlab_007 = new  WSCvlabel(newform_003,"newvlab_007");
	newvlab_007->initialize();
	newvlab_007->setPropertyV(WSNbottomShadowColor,"gray55");
	newvlab_007->setPropertyV(WSNlabelString,"マウスでクリック！");
	newvlab_007->setPropertyV(WSNname,"newvlab_007");
	newvlab_007->setPropertyV(WSNvis,(WSCbool)1);
	newvlab_007->setPropertyV(WSNx,(short)10);
	newvlab_007->setPropertyV(WSNy,(short)70);
	newvlab_007->setPropertyV(WSNwidth,(unsigned short)150);
	WSCprocedure* op_newvlab_007_4 = new WSCprocedure("選択でハイライト",13);
	extern void btn_press(WSCbase*);
	op_newvlab_007_4->setFunction(btn_press,"btn_press");
	newvlab_007->addProcedure(op_newvlab_007_4);

	WSCvlabel* newvlab_008 = new  WSCvlabel(newform_003,"newvlab_008");
	newvlab_008->initialize();
	newvlab_008->setPropertyV(WSNbottomShadowColor,"gray55");
	newvlab_008->setPropertyV(WSNlabelString,"マウスでクリック！");
	newvlab_008->setPropertyV(WSNname,"newvlab_008");
	newvlab_008->setPropertyV(WSNvis,(WSCbool)1);
	newvlab_008->setPropertyV(WSNx,(short)10);
	newvlab_008->setPropertyV(WSNy,(short)100);
	newvlab_008->setPropertyV(WSNwidth,(unsigned short)150);
	WSCprocedure* op_newvlab_008_4 = new WSCprocedure("選択でハイライト",13);
	extern void btn_press(WSCbase*);
	op_newvlab_008_4->setFunction(btn_press,"btn_press");
	newvlab_008->addProcedure(op_newvlab_008_4);

	WSCvlabel* newvlab_009 = new  WSCvlabel(newform_003,"newvlab_009");
	newvlab_009->initialize();
	newvlab_009->setPropertyV(WSNbottomShadowColor,"gray55");
	newvlab_009->setPropertyV(WSNlabelString,"マウスでクリック！");
	newvlab_009->setPropertyV(WSNname,"newvlab_009");
	newvlab_009->setPropertyV(WSNvis,(WSCbool)1);
	newvlab_009->setPropertyV(WSNx,(short)10);
	newvlab_009->setPropertyV(WSNy,(short)130);
	newvlab_009->setPropertyV(WSNwidth,(unsigned short)150);
	WSCprocedure* op_newvlab_009_4 = new WSCprocedure("選択でハイライト",13);
	extern void btn_press(WSCbase*);
	op_newvlab_009_4->setFunction(btn_press,"btn_press");
	newvlab_009->addProcedure(op_newvlab_009_4);

	WSCvbtn* newvbtn_010 = new  WSCvbtn(newwin000,"newvbtn_010");
	newvbtn_010->initialize();
	newvbtn_010->setPropertyV(WSNbottomShadowColor,"gray55");
	newvbtn_010->setPropertyV(WSNlabelString,"終了");
	newvbtn_010->setPropertyV(WSNname,"newvbtn_010");
	newvbtn_010->setPropertyV(WSNvis,(WSCbool)1);
	newvbtn_010->setPropertyV(WSNx,(short)286);
	newvbtn_010->setPropertyV(WSNy,(short)357);
	WSCprocedure* op_newvbtn_010_4 = new WSCprocedure("exit",2);
	extern void exit_ep(WSCbase*);
	op_newvbtn_010_4->setFunction(exit_ep,"exit_ep");
	newvbtn_010->addProcedure(op_newvbtn_010_4);

   newwin000->setVisible(True);
}

//--- end of src ---//
